> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# View Payaza Account Details

> This endpoint retrieves the Payaza account details for a merchant.



## OpenAPI

````yaml /openapi.json get /payaza-account/api/v1/mainaccounts/merchant/enquiry/main
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /payaza-account/api/v1/mainaccounts/merchant/enquiry/main:
    get:
      tags:
        - Payaza Account
      summary: View Payaza Account Details
      description: This endpoint retrieves the Payaza account details for a merchant.
      responses:
        '200':
          description: Account Enquiry Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/viewPayazaAccountDetailsResponse'
              examples:
                View Payaza Account Details:
                  summary: View Payaza Account Details
                  value:
                    message: Account enquiry response
                    status: true
                    data:
                      - id: 1
                        accountName: Test Merchant
                        payazaAccountReference: '1010000000'
                        status: ACTIVE
                        accountBalance: 990.13
                        businessId: 92
                        currency: NGN
                        country: NGA
                        organizationName: PAYAZA
                        productCode: PAYOUT-MAIN-NGN
                        productNumber: '101'
                        postNoCredit: false
                        postNoDebit: true
                        originatorName: null
                        pauseTransactions: null
                        hasVirtualAccounts: true
                        holdTransactionAtLowBalance: false
                        virtualAccounts:
                          - accountNumber: '99926838326'
                            accountName: PAYAZA(Test Merchant)
                            bankCode: '000023'
                            bankId: 306
                            status: Active
                            street: ''
                            street2: ''
                            city: ''
                            countryCode: ''
                            _api: false
                        createdDate: '2022-02-01T18:51:16.762865'
                        currencyCountry: null
                      - id: 1658
                        accountName: Test Merchant
                        payazaAccountReference: '3010000000'
                        status: ACTIVE
                        accountBalance: 1000
                        businessId: 1
                        currency: GHS
                        country: GHA
                        organizationName: PAYAZA
                        productCode: PAYOUT-MAIN-GHS
                        productNumber: '301'
                        postNoCredit: false
                        postNoDebit: true
                        originatorName: null
                        pauseTransactions: null
                        hasVirtualAccounts: false
                        holdTransactionAtLowBalance: false
                        virtualAccounts: []
                        createdDate: '2022-02-04T04:11:50.850974'
                        currencyCountry: null
                    pageDetail:
                      sorted: false
                      pageNumber: 0
                      pageSize: 0
                      paged: false
                      totalPages: 0
                      totalElements: 0
                      last: false
                      size: 0
                      number: 0
                      numberOfElements: 0
                      offset: null
                    totalCount: 0
                    responseCode: null
        '400':
          description: Payment failed
      security:
        - ApiKeyAuth:
            - Payaza {{Public API Key In Base64}}
          TenantID:
            - test or live
components:
  schemas:
    viewPayazaAccountDetailsResponse:
      title: View Payaza Account Details
      type: object
      properties:
        message:
          type: string
          description: Response message.
        status:
          type: boolean
          description: Request status.
        data:
          type: array
          description: List of Payaza accounts found.
          items:
            type: object
            properties:
              id:
                type: integer
              accountName:
                type: string
                description: The name of the Payaza Account
              payazaAccountReference:
                type: string
                description: The Payaza Account Reference
              status:
                type: string
              accountBalance:
                type: number
                format: double
                description: Current balance of the account.
              businessId:
                type: integer
              currency:
                type: string
              country:
                type: string
              organizationName:
                type: string
              productCode:
                type: string
              productNumber:
                type: string
              postNoCredit:
                type: boolean
              postNoDebit:
                type: boolean
              originatorName:
                type: string
                nullable: true
              pauseTransactions:
                type: boolean
                nullable: true
              hasVirtualAccounts:
                type: boolean
              holdTransactionAtLowBalance:
                type: boolean
              createdDate:
                type: string
                format: date-time
              currencyCountry:
                type: string
                nullable: true
              virtualAccounts:
                type: array
                description: List of virtual accounts linked to this main account.
                items:
                  type: object
                  properties:
                    accountNumber:
                      type: string
                    accountName:
                      type: string
                    bankCode:
                      type: string
                    bankId:
                      type: integer
                    status:
                      type: string
                    street:
                      type: string
                    street2:
                      type: string
                    city:
                      type: string
                    countryCode:
                      type: string
                    _api:
                      type: boolean
        pageDetail:
          type: object
          description: Pagination details.
          properties:
            sorted:
              type: boolean
            pageNumber:
              type: integer
            pageSize:
              type: integer
            paged:
              type: boolean
            totalPages:
              type: integer
            totalElements:
              type: integer
            last:
              type: boolean
            size:
              type: integer
            number:
              type: integer
            numberOfElements:
              type: integer
            offset:
              type: integer
              nullable: true
        totalCount:
          type: integer
        responseCode:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````